Uploaded image for project: 'MongoDB Database Tools'
  1. MongoDB Database Tools
  2. TOOLS-2716

mongodb-database-tools package should break older versions of mongodb-*-tools

    • Type: Icon: Bug Bug
    • Resolution: Fixed
    • Priority: Icon: Major - P3 Major - P3
    • 100.2.0
    • Affects Version/s: 4.4.0
    • Component/s: Packaging
    • Labels:
      None
    • Dev Platform 2020-09-07

      When we split up the mongodb-*-tools packages into mongodb-*-tools-extra and mongodb-database-tools, we broke smooth upgrades between v4.2 and v4.4 for the reasons demonstrated in SERVER-50249. All packages that were split into should now force a deconfigure of the mongodb-*-tools package when upgrading to v4.4 to prevent packager dependency conflicts.

            Assignee:
            ryan.egesdahl@mongodb.com Ryan Egesdahl (Inactive)
            Reporter:
            ryan.egesdahl@mongodb.com Ryan Egesdahl (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Created:
              Updated:
              Resolved: